var Line = function(id, params) {
	this._id = id;
	this._params = params;
	this._obj = $("#" + id);
	this.init();
};

Line.prototype = {
	init : function() {
		initReferences(this);
		var me = this;
		setTimeout(function() {
			updateElementAndReferences(me);
		}, 0);
	},
	updateUI : function(obj) {
		var params = this._params;
		var width = obj.width();
		var height = obj.height();
		var type = params.type;
		
		// create canvas
		canvas = createCanvas(width, height, params);
		obj.empty().append(canvas);
		$(canvas).css("position", "absolute");
		
		var ctx = getCanvasContext(canvas, params);
		setLineStyle(ctx, params.bdc_0, params.bdw_0, params.bdt_0);
		drawSwingLine(ctx, params.points[0], params.points[1], params.bdsw_int_0, params.bdsw_amp_0, false, true);
	}
};